### Method

# Phosh DBusSensorProxyCompass set_has_compass

#### Declaration [src]

    void
    phosh_dbus_sensor_proxy_compass_set_has_compass (
      PhoshDBusSensorProxyCompass* object,
      gboolean value
    )

#### Description [src]

Sets the “HasCompass” D-Bus property to `value`.

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

This method is not directly available to language bindings.

Sets property | `Phosh.DBusSensorProxyCompass:has-compass`

#### Parameters

`value`

  Type: `gboolean`

  The value to set.